package goods

import (
	"spaceofcheng/services/models/model"
)

// GetGoodsType 获取商品分类列表
func (c *GoodsController) GetGoodsType() {
	caseids := c.GetString("caseid")
	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	page, _ := c.GetInt("page")
	pageSize, _ := c.GetInt("pagesize")
	goodstype, err := c.serv.GetGoodsType(caseids, page, pageSize)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(goodstype)
}

// GetGoodsTypeByID 根据ID获取商品分类
func (c *GoodsController) GetGoodsTypeByID() {
	typeid := c.GetString(":typeid")
	goodsType, err := c.serv.GetGoodsTypeByID(typeid)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(goodsType)
}

// SaveGoodsType 保存商品分类
func (c *GoodsController) SaveGoodsType() {
	goodsType := model.TdGoodsType{}
	if err := c.ParseForm(&goodsType); err != nil {
		c.ResponseError(err)
	}
	newtype, err := c.serv.SaveGoodsType(goodsType)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(newtype)
}

// DelGoodsType 删除商品分类
func (c *GoodsController) DelGoodsType() {
	typeid := c.GetString(":typeid")
	err := c.serv.DelGoodsType(typeid)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON("删除成功！")
}
